org.apache.cassandra.db.compaction

## Class TimeWindowCompactionTask

- java.lang.Object
- - org.apache.cassandra.utils.WrappedRunnable
  - - org.apache.cassandra.db.compaction.AbstractCompactionTask
    - - org.apache.cassandra.db.compaction.CompactionTask
      - - org.apache.cassandra.db.compaction.TimeWindowCompactionTask

All Implemented Interfaces:
  java.lang.Runnable

    public class TimeWindowCompactionTask
    extends CompactionTask

### Field Summary

### Fields inherited from class org.apache.cassandra.db.compaction.CompactionTask

`gcBefore, keepOriginals, logger, totalBytesCompacted`

### Fields inherited from class org.apache.cassandra.db.compaction.AbstractCompactionTask

`cfs, compactionType, isUserDefined, transaction`

### Constructor Summary

Constructors
Constructor and Description
`TimeWindowCompactionTask(ColumnFamilyStore cfs, LifecycleTransaction txn, int gcBefore, boolean ignoreOverlaps)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CompactionController` `getCompactionController(java.util.Set<SSTableReader> toCompact)`

### Methods inherited from class org.apache.cassandra.db.compaction.CompactionTask

`addToTotalBytesCompacted, checkAvailableDiskSpace, executeInternal, getCompactionAwareWriter, getDirectories, getLevel, getMaxDataAge, getMinRepairedAt, partialCompactionsAcceptable, reduceScopeForLimitedSpace, runMayThrow, updateCompactionHistory`

### Methods inherited from class org.apache.cassandra.db.compaction.AbstractCompactionTask

`execute, setCompactionType, setUserDefined, toString`

### Methods inherited from class org.apache.cassandra.utils.WrappedRunnable

`run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TimeWindowCompactionTask

    public TimeWindowCompactionTask(ColumnFamilyStore cfs,
                                    LifecycleTransaction txn,
                                    int gcBefore,
                                    boolean ignoreOverlaps)

### Method Detail

#### getCompactionController

    public CompactionController getCompactionController(java.util.Set<SSTableReader> toCompact)

Overrides:
  `getCompactionController` in class `CompactionTask`